Subject: Re: [PATCH 5/5] ide: Force VIA IDE legacy interrupts for AmigaOne boards

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 07 Jan 2009 16:27:22 +0100

-------- Original-Nachricht --------
> Datum: Wed, 7 Jan 2009 08:13:06 -0700
> Von: "Grant Likely" <[email-masked]>
> An: "Gerhard Pircher" <[email-masked]>
> CC: [email-masked], [email-masked]
> Betreff: Re: [PATCH 5/5] ide: Force VIA IDE legacy interrupts for AmigaOne boards

> On Wed, Jan 7, 2009 at 7:12 AM, Gerhard Pircher <[email-masked]>
> wrote:
> > The AmigaOne uses the onboard VIA IDE controller in legacy mode (like
> the
> > Pegasos).
> >
> > Signed-off-by: Gerhard Pircher <[email-masked]>
> > ---
> >  drivers/ide/via82cxxx.c |    5 +++++
> >  1 files changed, 5 insertions(+), 0 deletions(-)
> 
> This patch needs to also be posted on the linux-ide mailing list.
Ouch, I only sent it to the maintainer. I'll fix that.

> > diff --git a/drivers/ide/via82cxxx.c b/drivers/ide/via82cxxx.c
> > index 2a812d3..086f476 100644
> > --- a/drivers/ide/via82cxxx.c
> > +++ b/drivers/ide/via82cxxx.c
> > @@ -450,6 +450,11 @@ static int __devinit via_init_one(struct pci_dev
> *dev, const struct pci_device_i
> >                d.host_flags |= IDE_HFLAG_FORCE_LEGACY_IRQS;
> >  #endif
> >
> > +#ifdef CONFIG_AMIGAONE
> > +       if (machine_is(amigaone))
> > +               d.host_flags |= IDE_HFLAG_FORCE_LEGACY_IRQS;
> > +#endif
> > +
> 
> I know you're just following the example of the PEGASOS workaround
> immediately above; but the #defines are really ugly.  I wonder if
> there is there a cleaner way to manipulate the flags.
AFAIK the via82cxxx driver doesn't make use of the pci_get_legacy_ide_irq
approach.

Gerhard

-- 
Sensationsangebot verlängert: GMX FreeDSL - Telefonanschluss + DSL 
für nur 16,37 Euro/mtl.!* http://dsl.gmx.de/?ac=OM.AD.PD003K1308T4569a